Pamwipeout User Manual(0)

NAME
pamwipeout - replace detail with smooth gradient from one edge to the other

SYNOPSIS
pamwipeout {-lr | -tb} [filename]

Minimum unique abbreviation of options is acceptable. You may use double hyphens instead of single hyphen to denote options.

DESCRIPTION

This program is part of Netpbm(1) .

pamwipeout replaces every row or column (as directed) with a smooth gradient between the pixel values at each edge. You can use it in combination with pamcut and pnmpaste / pamcomp to remove unwanted parts of a larger image.

In top-bottom mode, the program reads the whole image into memory before it can start processing. In left-right it will read the image a row at the time, process that row and write it to the output file. Therefore, in case of very large images, it may be better to use instead of "pamwipeout -tb" a pipe of "pamflip -cw | pamwipeout -lr | pamflip -ccw".

PARAMETERS

Filename is the name of the input file. If you don't specify this, pamwipeout reads the image from Standard Input.

OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see
 Common Options index.html#commonoptions ), pamwipeout recognizes the following command line options:

-tb | -lr

    This option chooses between a vertical and a horizontal gradient. You must specify one of these, but not both.

SEE ALSO
pam(1) and pamflip(1) , pamcut(1) , pamcomp(1) , pnmpaste(1) .

HISTORY

pamwipeout was new in Netpbm 10.54 (March 2011).

A predecessor program (not part of Netpbm) was called pnmblend.

AUTHORS

Willem van Schaik wrote this program in January 2011 and contributed it to Netpbm.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/pamwipeout.html